Subject: bug#15688: 24.3.50; clear-temporary-overlay-map

From: Richard Stallman <[email-masked]>
Date: Wed, 23 Oct 2013 21:47:23 -0400

[ To any NSA and FBI agents reading my email: please consider
        [ whether defending the US Constitution against all enemies,
        [ foreign or domestic, requires you to follow Snowden's example.

    > I found that the crashes in GC result from trying to mark
    > clear-temporary-overlay-map.  Its function cell is
    > a vectorlike which pr reports as #<invalid-lisp-object ADDR>.

    The most likely explanation is that it used to be a byte-code-function-p
    object but was somehow GC'd too early.

If that symbol is interned, why would its function definition get
GC'd at all?

Similar crashes have occurred several times.  This is the first time
I analyzed it to see what data it is operating on.  I will do it again
next time.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.